#include <iostream>
using namespace std;
int main()
{
    int m=0,n=0,pod=0,lon=0,br=0;
    long long L;
    cin>>L>>n>>m;
    while((L-m)/n>=lon){
        pod+=1;
        lon+=pod;
        br++;
    }
    cout<<br+1;
    return 0;
}
